MediaWiki:Vector.css: Difference between revisions

From JamiroWiki
Jump to navigation Jump to search
(Created page with "→‎All CSS here will be loaded for users of the Vector skin: →‎set max width and fix the background: html, body { position: relative; margin-left: auto !important; margin-right: auto !important; max-width: 1280px; background-position: top left; background-repeat: repeat-x; background-size: 100% 5em; background-image: url(/skins/Vector/images/page-fade.png); background-color: #f6f6f6; backgrou...")
 
No edit summary
Line 1: Line 1:
/* All CSS here will be loaded for users of the Vector skin */
/* All CSS here will be loaded for users of the Vector skin */


/* set max width and fix the background */
/* set max width and fix the background, see skinVector.patch */
#wikirouge-bodycontent-wrapper {
position: relative;
margin-left: auto !important;
margin-right: auto !important;
max-width: 1100px;
}
 
     html,
     html,
     body {
     body {
    position: relative;
    margin-left: auto !important;
    margin-right: auto !important;
    max-width: 1280px;
         background-position: top left;
         background-position: top left;
         background-repeat: repeat-x;
         background-repeat: repeat-x;
Line 18: Line 21:
         background-image: linear-gradient(#ffffff 50%,#f6f6f6 100%);
         background-image: linear-gradient(#ffffff 50%,#f6f6f6 100%);
     }
     }
   
    /* set blue right border */
    .mw-body { border-right: 1px solid #A7D7F9; }
      
      
     /** fix the position of:
     /** fix the position of:

Revision as of 14:54, 22 February 2026

/* All CSS here will be loaded for users of the Vector skin */

/* set max width and fix the background, see skinVector.patch */
#wikirouge-bodycontent-wrapper {
	position: relative;
	margin-left: auto !important;
	margin-right: auto !important;
	max-width: 1100px;
}

    html,
    body {
        background-position: top left;
        background-repeat: repeat-x;
    	background-size: 100% 5em;
        background-image: url(/skins/Vector/images/page-fade.png);
        background-color: #f6f6f6;
        background-image: -webkit-gradient(linear,left top,left bottom,color-stop(50%,#ffffff),color-stop(100%,#f6f6f6));
        background-image: -webkit-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
        background-image: -moz-linear-gradient(top,#ffffff 50%,#f6f6f6 100%);
        background-image: linear-gradient(#ffffff 50%,#f6f6f6 100%);
    }
    
    /** fix the position of:
    			personal user menu
    			search bar
    			the pop-up indicator of language selector
    			search suggestions 
    **/
    #p-personal { right: 3pt; }
    #p-search { margin-right: 3pt; }
    .imeselector { position: fixed; }
    .suggestions { right: 3pt !important; }